<?php
// Ticker Posts Options.
$wp_customize->add_section(
	'home_page_ticker_posts_options',
	array(
		'title' => __( 'News Ticker Section', 'sportsx' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

$wp_customize->add_setting(
    'sportsx_options[enable_ticker_posts]',
    array(
        'default'           => $sportsx_default['enable_ticker_posts'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_ticker_posts]',
    array(
		'label'    => __( 'Enable Ticker', 'sportsx' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'sportsx_options[enable_ticker_label]',
    array(
        'default'           => $sportsx_default['enable_ticker_label'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_ticker_label]',
    array(
		'label'           => __( 'Enable Ticker Label', 'sportsx' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'checkbox',
    )
);

// Ticker Label Text.
$wp_customize->add_setting(
    'sportsx_options[ticker_label_text]',
    array(
        'default'           => $sportsx_default['ticker_label_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[ticker_label_text]',
    array(
        'label'           => __( 'Ticker Label Text', 'sportsx' ),
        'description'     => __( 'Leave empty if you want to use the default text "Latest".', 'sportsx' ),
        'section'         => 'home_page_ticker_posts_options',
        'type'            => 'text',
    )
);

// Ticker Posts Category.
$wp_customize->add_setting(
	'sportsx_options[ticker_posts_cat]',
	array(
		'default'           => $sportsx_default['ticker_posts_cat'],
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	new Sportsx_Dropdown_Taxonomies_Control(
		$wp_customize,
		'sportsx_options[ticker_posts_cat]',
		array(
			'label'           => __( 'Choose Ticker posts category', 'sportsx' ),
			'section'         => 'home_page_ticker_posts_options',
		)
	)
);

// No of posts.
$wp_customize->add_setting(
	'sportsx_options[no_of_ticker_posts]',
	array(
		'default'           => $sportsx_default['no_of_ticker_posts'],
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'sportsx_options[no_of_ticker_posts]',
	array(
		'label'           => __( 'Number of Posts', 'sportsx' ),
		'section'         => 'home_page_ticker_posts_options',
		'type'            => 'number',
	)
);

// Posts Orderby.
$wp_customize->add_setting(
	'sportsx_options[ticker_posts_orderby]',
	array(
		'default'           => $sportsx_default['ticker_posts_orderby'],
		'sanitize_callback' => 'sportsx_sanitize_select',
	)
);
$wp_customize->add_control(
	'sportsx_options[ticker_posts_orderby]',
	array(
		'label'           => __( 'Orderby', 'sportsx' ),
		'section'         => 'home_page_ticker_posts_options',
		'type'            => 'select',
		'choices'         => array(
			'date'  => __( 'Date', 'sportsx' ),
			'id'    => __( 'ID', 'sportsx' ),
			'title' => __( 'Title', 'sportsx' ),
			'rand'  => __( 'Random', 'sportsx' ),
		),
	)
);

// Posts Order.
$wp_customize->add_setting(
	'sportsx_options[ticker_posts_order]',
	array(
		'default'           => $sportsx_default['ticker_posts_order'],
		'sanitize_callback' => 'sportsx_sanitize_select',
	)
);
$wp_customize->add_control(
	'sportsx_options[ticker_posts_order]',
	array(
		'label'           => __( 'Order', 'sportsx' ),
		'section'         => 'home_page_ticker_posts_options',
		'type'            => 'select',
		'choices'         => array(
			'asc'  => __( 'ASC', 'sportsx' ),
			'desc' => __( 'DESC', 'sportsx' ),
		),
	)
);


$wp_customize->add_setting(
    'sportsx_options[enable_ticker_posts_author_meta]',
    array(
        'default'           => $sportsx_default['enable_ticker_posts_author_meta'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_ticker_posts_author_meta]',
    array(
        'label'       => esc_html__( 'Display Author Meta', 'sportsx' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'sportsx_options[select_ticker_posts_author_meta]',
    array(
        'default'           => $sportsx_default['select_ticker_posts_author_meta'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_ticker_posts_author_meta]',
    array(
        'label'         => esc_html__( 'Select Author Meta', 'sportsx' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'select',
        'choices'       => sportsx_author_meta(),


    )
);

$wp_customize->add_setting(
    'sportsx_options[ticker_posts_author_meta_title]',
    array(
        'default'           => $sportsx_default['ticker_posts_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[ticker_posts_author_meta_title]',
    array(
        'label'    => __( 'Author Meta Text', 'sportsx' ),
        'section'  => 'home_page_ticker_posts_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'sportsx_options[enable_ticker_posts_date_meta]',
    array(
        'default'           => $sportsx_default['enable_ticker_posts_date_meta'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_ticker_posts_date_meta]',
    array(
        'label'       => esc_html__( 'Display Published Date', 'sportsx' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'sportsx_options[select_ticker_posts_date]',
    array(
        'default'           => $sportsx_default['select_ticker_posts_date'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_ticker_posts_date]',
    array(
        'label'         => esc_html__( 'Select Single Date Meta', 'sportsx' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'select',
        'choices'       => sportsx_date_meta(),

    )
);

$wp_customize->add_setting(
    'sportsx_options[single_ticker_post_date_meta_title]',
    array(
        'default'           => $sportsx_default['single_ticker_post_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[single_ticker_post_date_meta_title]',
    array(
        'label'    => __( 'Date Text', 'sportsx' ),
        'section'  => 'home_page_ticker_posts_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'sportsx_options[select_ticker_posts_date_format]',
    array(
        'default'           => $sportsx_default['select_ticker_posts_date_format'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_ticker_posts_date_format]',
    array(
        'label'         => esc_html__( 'Select Date Format', 'sportsx' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'select',
        'choices'       => sportsx_get_date_formats(),
    )
);

$wp_customize->add_setting(
    'sportsx_options[enable_ticker_posts_category_meta]',
    array(
        'default'           => $sportsx_default['enable_ticker_posts_category_meta'],
        'sanitize_callback' => 'sportsx_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'sportsx_options[enable_ticker_posts_category_meta]',
    array(
        'label'       => esc_html__( 'Enable Category Meta', 'sportsx' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'sportsx_options[select_ticker_posts_number_of_category]',
    array(
        'default'           => $sportsx_default['select_ticker_posts_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_ticker_posts_number_of_category]',
    array(
        'label'       => __( 'Number of Category', 'sportsx' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'number',
    )
);

$wp_customize->add_setting(
    'sportsx_options[ticker_posts_category_label]',
    array(
        'default'           => $sportsx_default['ticker_posts_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'sportsx_options[ticker_posts_category_label]',
    array(
        'label'       => esc_html__( 'Category Label', 'sportsx' ),
        'section'  => 'home_page_ticker_posts_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'sportsx_options[select_ticker_posts_category_color]',
    array(
        'default'           => $sportsx_default['select_ticker_posts_category_color'],
        'sanitize_callback' => 'sportsx_sanitize_select',
    )
);
$wp_customize->add_control(
    'sportsx_options[select_ticker_posts_category_color]',
    array(
        'label'         => esc_html__( 'Select Category Color', 'sportsx' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'select',
        'choices'       => sportsx_category_color(),

    )
);